/*
 *  Output data to 7seg-LED over the SPI bus
 *
 *  Physical pin of Raspberry Pi 3
 *    SPI_MOSI = 19
 *    SPI_MISO = 21 : Not used
 *    SPI_CLK  = 23
 *    SPI_CE0  = 24
 *    SPI_CE1  = 26
*/

#ifndef _OUTPUT_7SEG_LED_SPI_
#define _OUTPUT_7SEG_LED_SPI_

#define SPI_CH    0
#define SPI_SPEED 10000000
#define SPI_MODE  0

int  init_SegLED();
void SegLED_out(unsigned char bin);
#define SegLED_disp(bin, dp) SegLED_out(SegLED_BinTo7seg(bin, dp))
unsigned char SegLED_BinTo7seg(int bin, int dp);

#endif
